/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: DummyDriver.java 397 2011-10-03 14:00:36Z dangtran $
 *
 */

package org.ow2.sirocco.vmm.agent.monitoring.driver.dummy;

import org.ow2.sirocco.vmm.agent.monitoring.api.MonitoringDriverAPI;
import org.ow2.sirocco.vmm.agent.monitoring.driver.MonitoringDriver;
import org.ow2.sirocco.vmm.api.VMMException;

/**
 * @author chou
 */
public class DummyDriver implements MonitoringDriver {

    private static String[] attributes = {};

    private MonitoringDriverAPI moni;

    public MonitoringDriverAPI newMonitoringService(final String name) throws IllegalArgumentException, VMMException {
        if (this.moni == null) {
            this.moni = new MonitoringDummy();
        }
        return this.moni;
    }

    public String[] getMonitoringServiceCreationAttributes() {
        return DummyDriver.attributes;
    }

}
